Linux Mint installer crashed when trying to install grub-pc

Bug #828872 reported by Sly Marbo on 2011-08-18
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Linux Mint
Invalid
Undecided
Unassigned
ubiquity (Ubuntu)
Undecided
Unassigned

Bug Description

The Linux Mint USB installer crashes upon trying to install GRUB. The logs suggest that dpkg is trying to remove grub-pc but that this is failing. I'm not sure why it is trying to remove grub-pc since grub is not installed and there seems to be no reason why grub-pc should be removed.

1) Linux Mint 11 Katya
2) ubiquity 2.6.10-1mint2
    grub-pc 1.99~rc1-13ubuntu3-1mint1
3) Expected the application to install grub 2 (grub-pc)
4) The application crashed and stopped upon trying to install grub-pc

Sly Marbo (the.sly.marbo) wrote :
Sly Marbo (the.sly.marbo) wrote :

Exception during installation:
Aug 18 16:04:35 mint plugininstall.py: Traceback (most recent call last):
Aug 18 16:04:35 mint plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 1551, in <module>
Aug 18 16:04:35 mint plugininstall.py: install.run()
Aug 18 16:04:35 mint plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 56, in wrapper
Aug 18 16:04:35 mint plugininstall.py: func(self)
Aug 18 16:04:35 mint plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 201, in run
Aug 18 16:04:35 mint plugininstall.py: self.configure_bootloader()
Aug 18 16:04:35 mint plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 844, in configure_bootloader
Aug 18 16:04:35 mint plugininstall.py: "GrubInstaller failed with code %d" % ret)
Aug 18 16:04:35 mint plugininstall.py: InstallStepError: GrubInstaller failed with code 1
Aug 18 16:04:35 mint plugininstall.py:

tags: added: ubiquity-2.6.10
tags: added: natty
tags: added: installer-crash
Brian Murray (brian-murray) wrote :

Further up in the syslog we see the following:

Aug 18 16:04:35 mint grub-installer: info: architecture: amd64/efi
Aug 18 16:04:35 mint grub-installer: info: Identified partition label for /dev/sda5: msdos
Aug 18 16:04:35 mint grub-installer: dpkg: warning: there's no installed package matching grub
Aug 18 16:04:35 mint grub-installer: dpkg: warning: there's no installed package matching grub-legacy
Aug 18 16:04:35 mint grub-installer: dpkg: dependency problems prevent removal of grub-pc:
Aug 18 16:04:35 mint grub-installer: startupmanager depends on grub | grub-pc; however:
Aug 18 16:04:35 mint grub-installer: Package grub is not installed.
Aug 18 16:04:35 mint grub-installer: Package grub-pc is to be removed.
Aug 18 16:04:35 mint grub-installer: dpkg: error processing grub-pc (--purge):
Aug 18 16:04:35 mint grub-installer: dependency problems - not removing
Aug 18 16:04:35 mint grub-installer: dpkg: dependency problems prevent removal of grub-gfxpayload-lists:
Aug 18 16:04:35 mint grub-installer: grub-pc depends on grub-gfxpayload-lists.
Aug 18 16:04:35 mint grub-installer: dpkg: error processing grub-gfxpayload-lists (--purge):
Aug 18 16:04:35 mint grub-installer: dependency problems - not removing
Aug 18 16:04:35 mint grub-installer: Errors were encountered while processing:
Aug 18 16:04:35 mint grub-installer: grub-pc
Aug 18 16:04:35 mint grub-installer: grub-gfxpayload-lists

Changed in ubiquity (Ubuntu):
status: New → Confirmed
Changed in linuxmint:
status: New → Triaged

Seems like it's looking for a CD from which to install grub, and I'm using a USB stick. Additionally, I already have grub installed from other endeavors, and it seems unable to detect it. Syslog has this to say:

Oct 12 13:24:53 mint grub-installer: info: architecture: amd64/efi
Oct 12 13:24:54 mint grub-installer: info: Identified partition label for /dev/sda5: msdos
Oct 12 13:24:57 mint grub-installer: dpkg: warning: there's no installed package matching grub
Oct 12 13:24:57 mint grub-installer: dpkg: warning: there's no installed package matching grub-legacy
Oct 12 13:24:57 mint grub-installer: dpkg: dependency problems prevent removal of grub-pc:
Oct 12 13:24:57 mint grub-installer: startupmanager depends on grub | grub-pc; however:
Oct 12 13:24:57 mint grub-installer: Package grub is not installed.
Oct 12 13:24:57 mint grub-installer: Package grub-pc is to be removed.
Oct 12 13:24:57 mint grub-installer: dpkg: error processing grub-pc (--purge):
Oct 12 13:24:57 mint grub-installer: dependency problems - not removing
Oct 12 13:24:57 mint grub-installer: dpkg: dependency problems prevent removal of grub-gfxpayload-lists:
Oct 12 13:24:57 mint grub-installer: grub-pc depends on grub-gfxpayload-lists.
Oct 12 13:24:57 mint grub-installer: dpkg: error processing grub-gfxpayload-lists (--purge):
Oct 12 13:24:57 mint grub-installer: dependency problems - not removing
Oct 12 13:24:57 mint grub-installer: Errors were encountered while processing:
Oct 12 13:24:57 mint grub-installer: grub-pc
Oct 12 13:24:57 mint grub-installer: grub-gfxpayload-lists
Oct 12 13:24:57 mint ubiquity: umount: /target/cdrom: not found
Oct 12 13:24:57 mint ubiquity:
Oct 12 13:24:57 mint plugininstall.py: log-output -t ubiquity umount /target/cdrom
Oct 12 13:24:57 mint finish-install: Disabling CD in sources.list
Oct 12 13:24:57 mint plugininstall.py: Exception during installation:
Oct 12 13:24:57 mint plugininstall.py: Traceback (most recent call last):
Oct 12 13:24:57 mint plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 1551, in <module>
Oct 12 13:24:57 mint plugininstall.py: install.run()
Oct 12 13:24:57 mint plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 56, in wrapper
Oct 12 13:24:57 mint plugininstall.py: func(self)
Oct 12 13:24:57 mint plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 201, in run
Oct 12 13:24:57 mint plugininstall.py: self.configure_bootloader()
Oct 12 13:24:57 mint plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 844, in configure_bootloader
Oct 12 13:24:57 mint plugininstall.py: "GrubInstaller failed with code %d" % ret)
Oct 12 13:24:57 mint plugininstall.py: InstallStepError: GrubInstaller failed with code 1
Oct 12 13:24:57 mint plugininstall.py:

dino99 (9d9) wrote :

natty have reached EOL now

Changed in ubiquity (Ubuntu):
status: Confirmed → Invalid
Changed in linuxmint:
status: Triaged → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers